> For the complete documentation index, see [llms.txt](https://docs.number.tech/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.number.tech/api-reference/soap-api/consent-general.md).

# Consent General

Methods related to all types of consent

## Query Consent

<mark style="color:green;">`POST`</mark> /ICardProcess/ConsentGeneral\_Query

Return consent details.

{% tabs %}
{% tab title="Request body" %}

***

{% endtab %}

{% tab title="Response body" %}

***

***

{% endtab %}
{% endtabs %}

## Query Expiring Cards - Before/In Days

<mark style="color:green;">`POST`</mark> /ICardProcess/ConsentsExpiringCards

Find expired cards and cards expiring before/in the specified number of days used on consents.&#x20;

{% tabs %}
{% tab title="Request body" %}

***

`NumDays` int

Number of days in the future to look for expiring cards.
{% endtab %}

{% tab title="Response body" %}

***

***

{% endtab %}
{% endtabs %}

## Query Expiring Cards - In Date Range

<mark style="color:green;">`POST`</mark> /ICardProcess/ConsentsExpiringCards\_01

Find expired cards and cards expiring during the specified range of dates used on consents.&#x20;

{% tabs %}
{% tab title="Request body" %}

***

`StartDate` string

Start date of the consent expiring cards range.

***

`EndDate` string

End date of the consent expiring cards range.
{% endtab %}

{% tab title="Response body" %}

***

***

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.number.tech/api-reference/soap-api/consent-general.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
